Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Python 2.7.x < 2.7.15 Heap-Based Buffer Overflow Vulnerability Python Issue (bpo-31530) - Linux

Information

Severity

Severity

Low

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

3.3

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:M/Au:N/C:P/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

1 year ago

Modified

Modified

1 year ago

Summary

Python is prone to a heap-based buffer overflow vulnerability.

Insight

Insight

The flaw exists due to an improper notification mechanism on buffer reallocation and corruption in a file's internal readahead buffer which, while processing large amounts of data with multiple threads, could create a condition where a buffer that gets allocated with one thread is reallocated due to a large size of input.

Affected Software

Affected Software

Python 2.7.x before version 2.7.15.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Update to version 2.7.15 or later.

Common Vulnerabilities and Exposures (CVE)